onEvent('entity.loot_tables', event => {
	event.modifyEntity('minecraft:pig', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
		table.addPool(pool => {
			pool.addItem('hardcore_torches:animal_fat')
			pool.randomChance(0.25)
		})
	})
	
	event.modifyEntity('minecraft:cow', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:sheep', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:horse', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:llama', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:donkey', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:mule', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:mooshroom', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:panda', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:polar_bear', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
	
	event.modifyEntity('minecraft:hoglin', table => {
		table.addPool(pool => {
			pool.addItem('minecraft:bone')
			pool.randomChance(0.5)
		})
	})
})

onEvent('lootjs', event => {
	
	event.addBlockLootModifier('minecraft:grass')
		.thenReplace('farmersdelight:straw', 'survivalist:plant_fibres')
	
	event.addBlockLootModifier('minecraft:tall_grass')
		.thenReplace('farmersdelight:straw', 'survivalist:plant_fibres')
	
	event.addBlockLootModifier('inspirations:sugar_cane')
		.thenRemove('inspirations:sugar_cane_seeds')
	
	event.addBlockLootModifier('inspirations:cactus')
		.thenRemove('inspirations:cactus_seeds')
		
	event.addBlockLootModifier('minecraft:grass')
		.thenRemove('minecraft:wheat_seeds')
		
	event.addBlockLootModifier('minecraft:tall_grass')
		.thenRemove('minecraft:wheat_seeds')
	
	event.addLootTypeModifier(LootType.CHEST)
		.thenRemove('farmersdelight:rope')
})